generic_icons_list
GET
/api/generic/icons/
const url = 'https://example.com/api/generic/icons/';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/generic/icons/ \ --header 'Authorization: <Authorization>'List icons with optional filtering and pagination.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”name
string
Filter by icon name (contains, case-insensitive)
ordering
string
Which field to use when ordering the results.
page
integer
A page number within the paginated result set.
search
string
A search term.
Responses
Section titled “Responses”Media typeapplication/json
object
count
required
integer
next
string format: uri
previous
string format: uri
results
required
Array<object>
Serializer for representing the name of an icon.
Fields: name (CharField): The name of the icon. source (CharField): The source of the icon.
object
name
required
string
source
required
string
Example
{ "count": 123, "next": "http://api.example.org/accounts/?page=4", "previous": "http://api.example.org/accounts/?page=2"}
